Package de.willuhn.jameica.hbci

# Class TextSchluessel

java.lang.Object
de.willuhn.jameica.hbci.TextSchluessel

public class TextSchluessel extends Object
Bean fuer die Textschluessel.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`SET_DAUER`
Set von zulaessigen Textschluesseln fuer Dauerauftraege.
`static final String[]`
`SET_LAST`
Set von zulaessigen Textschluesseln fuer Lastschriften.
`static final String[]`
`SET_SAMMELLAST`
Set von zulaessigen Textschluesseln fuer Sammel-Lastschriften.
`static final String[]`
`SET_SAMMELUEB`
Set von zulaessigen Textschluesseln fuer Sammel-Ueberweisungen.
`static final String[]`
`SET_UEB`
Set von zulaessigen Textschluesseln fuer Ueberweisungen.
`static final String`
`TS_ABBUCHUNG`
Abbuchungsverfahren
`static final String`
`TS_BZU`
BZU-Ueberweisung (Beleglose Zahlungsueberweisung, pruefziffergesichert)
`static final String`
`TS_DAUER`
Dauerauftrag
`static final String`
`TS_EINZUG`
Einzugsermaechtigung
`static final String`
`TS_LOHN`
Lohn/Gehalt/Rente
`static final String`
`TS_RUECKUEB`
Rueckueberweisung
`static final String`
`TS_SPENDE`
Spendenueberweisung.
`static final String`
`TS_UEB`
Ueberweisung
`static final String`
`TS_VL`
Vermoegenswirksame Leistungen

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`static TextSchluessel`
`get(String code)`
Liefert einen einzelnen Textschluessel.
`static TextSchluessel[]`
`get(String[] codes)`
Liefert eine Liste der Textschluessel-Objekte mit den genannten Codes.
`String`
`getCode()`
Liefert den Textschluessel.
`String`
`getName()`
Liefert den Namen des Textschluessels.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TS_ABBUCHUNG

public static final String TS_ABBUCHUNG
Abbuchungsverfahren

See Also:
  - Constant Field Values

### TS_EINZUG

public static final String TS_EINZUG
Einzugsermaechtigung

See Also:
  - Constant Field Values

### TS_UEB

public static final String TS_UEB
Ueberweisung

See Also:
  - Constant Field Values

### TS_DAUER

public static final String TS_DAUER
Dauerauftrag

See Also:
  - Constant Field Values

### TS_LOHN

public static final String TS_LOHN
Lohn/Gehalt/Rente

See Also:
  - Constant Field Values

### TS_VL

public static final String TS_VL
Vermoegenswirksame Leistungen

See Also:
  - Constant Field Values

### TS_RUECKUEB

public static final String TS_RUECKUEB
Rueckueberweisung

See Also:
  - Constant Field Values

### TS_BZU

public static final String TS_BZU
BZU-Ueberweisung (Beleglose Zahlungsueberweisung, pruefziffergesichert)

See Also:
  - Constant Field Values

### TS_SPENDE

public static final String TS_SPENDE
Spendenueberweisung.

See Also:
  - Constant Field Values

### SET_DAUER

public static final String[] SET_DAUER
Set von zulaessigen Textschluesseln fuer Dauerauftraege.

### SET_SAMMELLAST

public static final String[] SET_SAMMELLAST
Set von zulaessigen Textschluesseln fuer Sammel-Lastschriften.

### SET_LAST

public static final String[] SET_LAST
Set von zulaessigen Textschluesseln fuer Lastschriften.

### SET_SAMMELUEB

public static final String[] SET_SAMMELUEB
Set von zulaessigen Textschluesseln fuer Sammel-Ueberweisungen.

### SET_UEB

public static final String[] SET_UEB
Set von zulaessigen Textschluesseln fuer Ueberweisungen.

## Method Details

### get

public static TextSchluessel[] get(String[] codes)
Liefert eine Liste der Textschluessel-Objekte mit den genannten Codes.

Parameters:
  `codes` - Liste der Codes oder `null`, wenn alle zurueckgeliefert werden sollen.
Returns:
  Liste der Textschluessel mit diesen Codes. Die Textschluessel werden in der gleichen Reihenfolge zurueckgeliefert, in der die Codes uebergeben wurden.

### get

public static TextSchluessel get(String code)
Liefert einen einzelnen Textschluessel.

Parameters:
  `code` - Code des Textschluessels.
Returns:
  der Textschluessel oder `null`, wenn er nicht existiert.

### getCode

public String getCode()
Liefert den Textschluessel.

Returns:
  der Textschluessel.

### getName

public String getName()
Liefert den Namen des Textschluessels.

Returns:
  der Name des Textschluessels.

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`